import { GetStaticPropsContext } from "next";
import { AccessToken, JsonApiParams, JsonApiWithLocaleOptions, JsonApiResource } from "./types";
export declare function getResourceFromContext<T extends JsonApiResource>(type: string, context: GetStaticPropsContext, options?: {
    prefix?: string;
    deserialize?: boolean;
    params?: JsonApiParams;
    accessToken?: AccessToken;
    isVersionable?: boolean;
}): Promise<T>;
export declare function getResourceByPath<T extends JsonApiResource>(path: string, options?: {
    accessToken?: AccessToken;
    deserialize?: boolean;
    isVersionable?: boolean;
} & JsonApiWithLocaleOptions): Promise<T>;
export declare function getResource<T extends JsonApiResource>(type: string, uuid: string, options?: {
    accessToken?: AccessToken;
    deserialize?: boolean;
} & JsonApiWithLocaleOptions): Promise<T>;
